Bug 429408 - Review Request: wf - Simple word frequency counter
Review Request: wf - Simple word frequency counter
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tyler Owen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-19 08:58 EST by Terje Røsten
Modified: 2008-01-21 04:25 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-21 04:25:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tyler.l.owen: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Terje Røsten 2008-01-19 08:58:54 EST
Spec URL: http://terjeros.fedorapeople.org/wf/wf.spec
SRPM URL: http://terjeros.fedorapeople.org/wf/wf-0.41-1.fc8.src.rpm
Description:
wf scans a text file and counts the frequency of words through the
whole text.
Comment 1 Tyler Owen 2008-01-19 15:51:37 EST
I will be glad to review this.  Full review coming shortly
Comment 2 Tyler Owen 2008-01-19 16:13:35 EST
OK - Package meets naming and packaging guidelines
OK - Spec file matches base package name.
OK - Spec has consistant macro usage.
OK - Meets Packaging Guidelines.
OK - License
OK - License field in spec matches
OK - License file included in package
OK - Spec in American English
OK - Spec is legible.
OK - Sources match upstream md5sum:
2506603e8eafe0fab0c8e809b984d834  wf-0.41.tar.bz2
2506603e8eafe0fab0c8e809b984d834  wf-0.41.tar.bz2.1

OK - Package needs ExcludeArch
OK - BuildRequires correct
OK - Spec handles locales/find_lang
OK - Package is relocatable and has a reason to be.
OK - Package has %defattr and permissions on files is good.
OK - Package has a correct %clean section.
OK - Package has correct buildroot
      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
OK - Package is code or permissible content.
OK - Doc subpackage needed/used.
OK - Packages %doc files don't affect runtime.

OK - Package compiles and builds on at least one arch.
OK - Package has no duplicate files in %files.
OK - Package doesn't own any directories other packages own.
OK - Package owns all the directories it creates.
OK - No rpmlint output.

SHOULD Items:

OK - Should build in mock.
OK - Should build on all supported archs
OK - Should function as described.
OK - Should have sane scriptlets.
OK - Should have dist tag
OK - Should package latest version


APPROVED
Comment 3 Terje Røsten 2008-01-19 16:18:01 EST
> APPROVED

Thanks, that was quick!

New Package CVS Request
=======================
Package Name: wf
Short Description: Simple word frequency counter
Owners: terjeros
Branches: F-7 F-8
InitialCC: terjeros
Cvsextras Commits: yes
Comment 4 Kevin Fenzi 2008-01-20 13:39:02 EST
cvs done.
Comment 5 Terje Røsten 2008-01-21 04:25:40 EST
Pushed for F-7 and F-8 testing, built for rawhide, closing.

Note You need to log in before you can comment on or make changes to this bug.